<div class="row no-gutters">

    <app-left-menu class="col-md"></app-left-menu>


    <!-- start content -->
    <div class="col-xl-7 col-lg-12 col-md-12 bg-gray" >

        <!-- search box -->
        <div class="d-flex bg-white m-3 py-2 px-4 custom-round shadow-sm">
            <i class="uil uil-search pr-2 txt-lg txt-prm" aria-hidden="true"></i>
            <input type="text" class="form-control flex-grow-1 w-100" placeholder="Search the files" />
        </div>


        <!-- cards storage... -->
        <div class="row no-gutters pt-4 px-2" >

            <app-storage-card *ngFor="let storage of storages" [data]="storage" class="col-lg-4 p-2"></app-storage-card>
        
        </div>


        <!-- folder -->
        <div class="px-2 pt-4">
            
            <div class="row no-gutters pt-4 px-2" >
                
                <div class="col-lg-12 p-2 d-flex justify-content-between">
                    <h3 class=" txt-drk"> Folders </h3> 
                    <a href="#" class="pt-2"> view all </a>
                </div>

                
                
                <div class="col-lg-4 p-2" *ngFor="let folder of folders">
                    <div class="card storage-card bg-white border-0 custom-round">
    
                        <div class="card-header bg-transparent border-0 p-3 d-flex justify-content-between">
                        
                            <div>
                                <i class="fa fa-folder folder-icon"></i>
                                <h5 class="txt-drk pt-2"> {{folder.name}} </h5>
                                <span class="text-muted txt-xs">{{ folder.files_count }} files</span>
                            </div>

                            <div class="avatars">
                                <ul class="faces-list">
                                    <li *ngFor="let avatar of folder.avatars | slice:0:2">
                                        <img class=""  [src]="avatar.src"  [style.box-shadow]="'0 0 0 1.5px '+avatar.color"   />
                                    </li>  
                                    <li class="nummber_avatar" *ngIf="folder.avatars.length > 2">
                                        <span class="p-1" >+{{ folder.avatars.length - 2 }}</span>
                                    </li>
                                </ul>
                            </div>

                        </div>
                    </div>
                </div>
    
            
            </div>
        </div>


        <!-- Recent Files -->
        <div class="px-2 pt-4">
            <div class="row no-gutters pt-4 px-2" >
                <div class="col-lg-12 p-2 d-flex justify-content-between">
                    <h3 class=" txt-drk"> Recent Files </h3> 
                    <a href="#" class="pt-2"> view all </a>
                </div>
            </div>


            <app-datatable [titles]="titles" [list]="list" > </app-datatable>
           
        </div>


    </div>
    <!-- end  content-->


    <app-right-menu class="col-md" ></app-right-menu>




</div>